#main_lcd.py
#https://how2electronics.com/interfacing-16x2-lcd-display-with-raspberry-pi-pico/#Source_CodeProgram

from pico_i2c_lcd import I2cLcd
from machine import I2C
from machine import Pin
import utime as time

import mycopico_pins as pins

lcd_on=pins.control()
if lcd_on!=0:
    i2c = I2C(id=1,scl=Pin(19),sda=Pin(18),freq=100000)
    lcd = I2cLcd(i2c, 0x27, 2, 16)

def show(required,message):
    if lcd_on!=0:
        if required=="show":
            message = str(message)
            message=("  "+message)
            lcd.putstr(message)
            lcd.show_cursor()
        if required=="show_2":
            message = str(message)
            message=("delay: "+message)
            lcd.putstr(message)
        if required=="blank":
            lcd.move_to(0,0)
            lcd.clear()


